﻿@model IEnumerable<BeerOverFlow.Models.BeerViewModel>
@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Data.Entities
@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{
    ViewData["Title"] = "ListBeer";
}

@*text-center*@

<style>
    th {
        color: white !important;
    }

    td {
        color: white !important;
    }
</style>
<form asp-controller="Beers" asp-action="FilterByName">

    <label class="radio-inline">
        <input type="radio" name="optradio" value="name" id="FilterByName" checked>Name
    </label>
    <label class="radio-inline">
        <input type="radio" name="optradio" value="country" id="FilterByCountry">Country
    </label>
    <label class="radio-inline">
        <input type="radio" name="optradio" value="style" id="FilterByStyle"> Style
    </label>
    <label class="radio-inline">
        <input type="radio" name="optradio" value="styleandcountry" id="FilterByStyleАndCountry"> Style And Country
    </label>
    <p>
        Title: <input type="search" name="searchString">

        <input type="submit" value="Filter" />

    </p>
</form>

@* <button onclick="myFunction()">Advanced Options</button>*@

@if (User.Identity.IsAuthenticated)
{
    <p>
        <a asp-controller="Beers" asp-action="CreateBeer">Create New</a>
    </p>
}
<table class="table">
    <thead>
        <tr>
            <th>
                <p>
                   
                    <h5>
                        <a asp-action="Sort" asp-route-sortOption="BeerAscd"> Name: Ascd </a> /
                        <a asp-action="Sort" asp-route-sortOption="BeerDscd">Dscd</a>
                    </h5>
                </p>
            </th>

            <th>

                <h4> Brewery </h4>
            </th>
            <th>
                <h4> Country </h4>
            </th>
            <th>
                <h4> Style</h4>
            </th>
            <th>  
                <h5>
                    <a asp-action="Sort" asp-route-sortOption="AbvAscd"> ABV: Ascd </a>/
                    <a asp-action="Sort" asp-route-sortOption="AbvDscd">Dscd</a>
                </h5>
            </th>
            @if (User.IsInRole("Admin"))//User.IsInRole())
            {
                <th>
                    <h3> Edit</h3>
                </th>
                <th>
                    <h3> Delete</h3>
                </th>
            }
        </tr>
    </thead>

    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    <a asp-action="BeerDetails" asp-route-id="@item.BeerId">
                        @Html.DisplayFor(modelItem => item.BeerName)
                    </a>
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BreweryName)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CountryName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.StyleName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Abv)
                </td>
                @if (User.IsInRole("Admin"))
                {
                    <td>
                        <a asp-action="DeleteBeer" asp-route-id="@item.BeerId">Delete</a>

                    </td>
                    <td>
                        <a asp-controller="Beers" asp-action="EditBeer" asp-route-id="@item.BeerId">Edit</a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>


